server:
  port: 8081

spring:
  application:
    name: server
  datasource:
    url: jdbc:postgresql://${DB_HOST}:${DB_PORT}/${DB_NAME}
    username: ${DB_USERNAME}
    password: ${DB_PASSWORD}

  jpa:
    hibernate:
      ddl-auto: none
    show-sql: true
    properties:
      hibernate:
        format_sql: true

  mail:
    host: smtp.resend.com
    port: 587
    username: ${MAIL_USERNAME}
    password: ${MAIL_PASSWORD}
    properties:
      mail:
        smtp:
          auth: true
          starttls:
            enable: true
    default-encoding: UTF-8

hcaptcha:
  secret: ${HCAPTCHA_SECRET}

logging:
  level:
    org.hibernate.SQL: ${LOG_SQL_LEVEL}
    org.hibernate.type.descriptor.sql.BasicBinder: ${LOG_BINDER_LEVEL}